crmsh (4.1.0-1) unstable; urgency=medium

  * New upstream version 4.1.0
  * d/control: update Standards-Version to 4.4.0
  * d/patches: update for new version

 -- Valentin Vidic <vvidic@debian.org>  Sat, 13 Jul 2019 23:26:42 +0200

crmsh (4.0.0~git20190108.3d56538-3) unstable; urgency=medium

  * d/tests: disable regression tests for now
  * d/tests: cleanup regexp

 -- Valentin Vidic <vvidic@debian.org>  Sun, 20 Jan 2019 10:59:14 +0100

crmsh (4.0.0~git20190108.3d56538-2) unstable; urgency=medium

  * d/tests: try to fix regression testsuite

 -- Valentin Vidic <vvidic@debian.org>  Sat, 19 Jan 2019 23:53:26 +0100

crmsh (4.0.0~git20190108.3d56538-1) unstable; urgency=medium

  * New upstream version 4.0.0~git20190108.3d56538 (Closes: #883171)
  * d/control: update for python3
  * d/rules: update for python3
  * d/postinst,prerm: autogenerated with python3
  * d/patches: update for new version
  * d/tests: update for new version
  * d/tests: run testsuite
  * d/control: link fonts from fonts-font-awesome
  * d/rules: install README into /usr/share/doc/crmsh

 -- Valentin Vidic <vvidic@debian.org>  Sat, 19 Jan 2019 12:39:02 +0100

crmsh (3.0.3-2) unstable; urgency=medium

  * d/patches: use knet for unicast bootstrap
  * d/tests: use unicast for cluster bootstrap
  * d/tests: fix default node name
  * d/control: update Standards-Version to 4.3.0
  * d/control: update my email address

 -- Valentin Vidic <vvidic@debian.org>  Thu, 27 Dec 2018 21:05:17 +0100

crmsh (3.0.3-1) unstable; urgency=medium

  * New upstream version 3.0.3
  * d/rules: install bash completion
  * d/rules: install vim plugin
  * d/patches: refresh for new upstream version

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Mon, 02 Jul 2018 14:35:45 +0200

crmsh (3.0.1-4) unstable; urgency=medium

  * d/control: update Vcs URLs to use salsa
  * d/rules: cleanup trailing whitespace
  * d/copyright: use https in Format url
  * d/control: update Standards-Version to 4.1.4

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Wed, 11 Apr 2018 09:40:22 +0200

crmsh (3.0.1-3) unstable; urgency=medium

  * d/patches: fix crm cluster stop/start on Debian
  * d/tests: use vim for testing package removal (Closes: #883524)
  * d/tests: update Depends list for dmidecode (Closes: #883524)
  * d/patches: drop patches merged upstream
  * d/compat: update debhelper to v11
  * d/control: update Standards-Version to 4.1.3
  * d/changelog: cleanup trailing whitespace
  * d/control: cleanup trailing whitespace

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Thu, 25 Jan 2018 21:40:26 +0100

crmsh (3.0.1-2) unstable; urgency=medium

  * d/control: add fdisk to Depends (Closes: #872129)
  * d/control: replace deprecated priority extra
  * d/control: move tools used by bootstrap to Suggests
  * d/patches: disable watchdog when generating corosync.conf

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Fri, 01 Sep 2017 20:32:26 +0200

crmsh (3.0.1-1) unstable; urgency=medium

  * New upstream version 3.0.1
  * d/patches: refresh for new upstream version
  * d/control: remove dh-autoreconf from Depends
  * d/patches: add fixes for cluster init on Debian
  * d/tests: add test for cluster init

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Tue, 25 Jul 2017 15:32:31 +0200

crmsh (3.0.0-1) unstable; urgency=medium

  [ Christoph Berg ]
  * debian/tests/utils.sh: Make test more robust against environment changes.

  [ Valentin Vidic ]
  * New upstream version 3.0.0
  * d/patches: refresh for new upstream version
  * d/control: remove ${shlibs:Depends} from Depends
  * d/rules: use dh_missing --fail-missing
  * d/control: update Standards-Version to 4.0.0
  * d/control: update debhelper to version 10

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Tue, 27 Jun 2017 23:50:54 +0200

crmsh (2.3.2-4) unstable; urgency=medium

  * Remove uninstall file list

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Mon, 19 Dec 2016 10:45:25 +0100

crmsh (2.3.2-3) unstable; urgency=medium

  * Make crm.8.html generation reproducible
  * Cleanup debian/rules

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Mon, 12 Dec 2016 10:46:36 +0100

crmsh (2.3.2-2) unstable; urgency=medium

  [ Valentin Vidic ]
  * Use https for Vcs-Browser link (lintian fix)
  * Update debian/copyright for moved files (lintian fix)
  * crmsh: Change Architecture to all
  * Drop unused libraries from build-depends
  * Make generated documentation reproducible
  * Remove unused packages from Build-Depends
  * Fix crm manpage spelling
  * crmsh-doc: add Multi-Arch: foreign
  * d/tests: add basic crm node tests
  * Patch scripts in utils to work on Debian
  * d/tests: add tests for package management scripts
  * Add patch to make 'cluster init' work on Debian
  * Add python-parallax to Depends (Closes: #819545)
  * Add patch to fix crm history on Debian systems

  [ Christoph Berg ]
  * Remove Martin and myself from Uploaders.

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Sun, 04 Dec 2016 18:57:50 +0100

crmsh (2.3.2-1) unstable; urgency=medium

  [ Christoph Berg ]
  * Fix changelog for previous upload, d/tests got lost.

  [ Arturo Borrero Gonzalez ]
  * Refresh 0004-Fix-privacy-breach-generic-caused-by-footer-template.patch
    patch

  [ Valentin Vidic ]
  * Imported upstream version 2.3.2 (Closes: #815823, #815346)
  * crm report: add gawk to Depends
  * crm report: upstream fix for dash (Closes: #772269)
  * Add myself to Uploaders list

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Thu, 03 Nov 2016 10:20:56 +0100

crmsh (2.2.1-1) unstable; urgency=medium

  [ Adrian Vondendriesch ]
  * New upstream release
  * patches:
    - drop 0001-Remove-AM_CONDITIONAL-for-UNAME_IS_DEBIAN.patch
    - drop 0002-Remove-fix-for-Debian.patch
  * Add myself to uploaders.
  * Bump standars version.

  [ Arturo Borrero Gonzalez ]
  * d/tests: add basic crm and pacemaker tests
    Check that the crm utility can run without issues, locating all of the
    libraries it needs, and check the integration between crmsh and pacemaker
    (and corosync). We build a cluster and then add a basic IP resource to it.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Tue, 03 May 2016 20:05:28 +0200

crmsh (2.2.0-1) unstable; urgency=high

  [ Richard B Winters ]
  * New upstream release
  * debian/clean: Added
    - In order to incorporate the recommended strategy for
      handling Python eggs
  * debian/rules: Multiple changes;
    - Updated hardening implementation
    - Added an export for ensuring a link against all needed
      libraries (cf. Policy 10.2)
    - Override configure to properly set paths for build
    - Override dh_auto_build to add instruction for building
      html documentation
    - Override dh_auto_install to remove duplicate files
    - Override dh_compress to strip compiled bytecode from the
      package
    - Added --single-version-externally-managed as recommended
      for handling Python eggs
  * debian/control: Multiple changes;
    - Updated uploaders list and formatted for folding
    - Added Vcs-Git and Vcs-Browser entries
    - Updated Build-Depends to reflect current dependencies;
    - Python updated to Python2.7 as > Python27 not supported
    - Dropped hardening-wrapper; not necessary any longer
    - Formatted Build-Depends and Depends entries for folding
    - Updated Build-Depends to not use transitional packages
    - Updated description
    - Bumped standards version to 3.9.6; No changes required
    - Added crmsh-doc to package offering
  * debian/copyright: Multiple edits
    - Updated source field to current upstream source location
    - Consolidated copyright notices for authors added to upstreams
      author list found in AUTHORS
    - Updated copyright for debian/* to include myself and Debian-HA
      team
    - Added License paragraph to remove need for including a paragraph
      for each copyright/license entry present
  * debian/crmsh.install: Added since multiple package build requires
    it
  * debian/crmsh.doc-base: Added for crmsh html documents
  * debian/crmsh-doc.install: Add to support crmsh-doc package
  * debian/crmsh-doc.doc-base: Added for crmsh-doc html documents
  * debian/patches/*: Added for resolving privacy-breach-generic
    lintian informational warnings;
    - Includes binary png file in source to remove need for remote
      resource
    - Patches crm.conf file for asciidoc, to fix remove remote
      resource in .html files
    - Patch python file to fix resource links in atom.xml template
    - Series file added
  * debian/postinst: Added to compile bytecode for *.py files
  * debian/prerm: Added to removed compiled bytecode
  * debian/pycompat: Added as recommended by packaging tools
  * debian/source/include-binaries: Added to allow patch which adds
    a binary png file to the upstream source
  * debian/source/options: Added
    - Added to incorporate the recommended strategy for handling
      Python eggs
  * debian/watch: Added for monitoring upstream releases

  [ Adrian Vondendriesch ]
  * debian/control: Add python-dateutil to Build-Depends

 -- Richard B Winters <rik@mmogp.com>  Thu, 28 Jan 2016 21:22:05 +0100

crmsh (1.2.6+git+e77add-2) unstable; urgency=medium

  * Update control for new pacemaker dev packages.

 -- Christoph Berg <myon@debian.org>  Sat, 16 Jan 2016 16:26:36 +0100

crmsh (1.2.6+git+e77add-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Port from python-support to dh_python2 (Closes: #785973)

 -- Stefano Rivera <stefanor@debian.org>  Thu, 20 Aug 2015 15:31:26 +0200

crmsh (1.2.6+git+e77add-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * Build-Depend on docbook-xsl to fix FTBFS
    Closes: 770132

 -- Johann Felix Soden <johfel@debian.org>  Sat, 22 Nov 2014 13:09:35 +0100

crmsh (1.2.6+git+e77add-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Depend on python-yaml to fix grave bug (Closes: #745219)

 -- Stefan Bauer (Cubewerk GmbH) <stefan.bauer@cubewerk.de>  Fri, 25 Apr 2014 17:46:39 +0200

crmsh (1.2.6+git+e77add-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add pkg-config to Build-Depends. Closes: 741772

 -- Chris Boot <debian@bootc.net>  Sat, 22 Mar 2014 15:50:25 +0000

crmsh (1.2.6+git+e77add-1) unstable; urgency=medium

  * New upstream checkout
  * debian/control: Bump Standards-Version
  * debian/control: Add Breaks & Replaces for Pacemaker << 1.1.8
    Closes: 717986
  * debian/control: Depend on python-lxml
    Closes: 738651

 -- Martin Loschwitz <madkiss@debian.org>  Fri, 21 Feb 2014 15:51:13 +0000

crmsh (1.2.5+hg1034-1) unstable; urgency=low

  * New upstream checkout

 -- Martin Loschwitz <madkiss@debian.org>  Mon, 05 Aug 2013 05:21:29 +0000

crmsh (1.2.5+hg1006-1) unstable; urgency=low

  * New upstream checkout for Pacemaker 1.1.10

 -- Martin Loschwitz <madkiss@debian.org>  Fri, 02 Aug 2013 07:37:50 +0000

crmsh (1.2.5+hg953-3) unstable; urgency=low

  * Upload to unstable instead of experimental

 -- Martin Loschwitz <madkiss@debian.org>  Fri, 02 Aug 2013 06:52:11 +0000

crmsh (1.2.5+hg953-2) experimental; urgency=low

  * Build-Depend on libcib3-dev instead of libcib2-dev

 -- Martin Loschwitz <madkiss@debian.org>  Fri, 19 Apr 2013 07:08:47 +0000

crmsh (1.2.5+hg953-1) experimental; urgency=low

  * New upstream release

 -- Martin Loschwitz <madkiss@debian.org>  Wed, 20 Mar 2013 23:11:44 +0000

crmsh (1.2.0+hg20121010-1) unstable; urgency=low

  * New upstream checkout to catch some additional bugfixes
  * debian/control: Depend on version 1.1.8+git20121010 of libcib as well
    as libcrmcommon and libpengine to make sure we get the versions with
    proper .pc files (Closes: #690055)

 -- Martin Loschwitz <madkiss@debian.org>  Wed, 10 Oct 2012 11:39:06 +0000

crmsh (1.2.0+hg20121009-3) unstable; urgency=low

  * debian/control: Fix possible circular build dependency by using the
    real library package names instead of pacemaker-dev (Closes: #690055)

 -- Martin Loschwitz <madkiss@debian.org>  Tue, 09 Oct 2012 17:29:01 +0000

crmsh (1.2.0+hg20121009-2) unstable; urgency=low

  * debian/control: Set the maintainer field to the HA group instead of me
    personally. (Closes: #690055)

 -- Martin Loschwitz <madkiss@debian.org>  Tue, 09 Oct 2012 16:20:15 +0000

crmsh (1.2.0+hg20121009-1) unstable; urgency=low

  * Initial release (Closes: #690055)  <nnnn is the bug number of your ITP>

 -- Martin Loschwitz <madkiss@debian.org>  Tue, 09 Oct 2012 14:36:09 +0000
